Package be.e_contract.ejsf.component.input

# Class InputPeriodComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
javax.faces.component.UIOutput
javax.faces.component.UIInput
be.e_contract.ejsf.component.input.InputPeriodComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.EditableValueHolder`, `javax.faces.component.NamingContainer`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.component.ValueHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`

public class InputPeriodComponent extends javax.faces.component.UIInput implements javax.faces.component.NamingContainer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIInput

`ALWAYS_PERFORM_VALIDATION_WHEN_REQUIRED_IS_TRUE, COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, EMPTY_STRING_AS_NULL_PARAM_NAME, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface javax.faces.component.NamingContainer

`SEPARATOR_CHAR`

## Constructor Summary

Constructors
Constructor
Description
`InputPeriodComponent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`encodeBegin(javax.faces.context.FacesContext context)`
`javax.faces.component.UIInput`
`getDays()`
`javax.faces.component.UIInput`
`getDaysRange()`
`List<javax.faces.model.SelectItem>`
`getDaysSelectItems()`
`String`
`getFamily()`
`javax.faces.component.UIInput`
`getHours()`
`javax.faces.component.UIInput`
`getHoursRange()`
`List<javax.faces.model.SelectItem>`
`getHoursSelectItems()`
`javax.faces.component.UIInput`
`getMinutes()`
`javax.faces.component.UIInput`
`getMinutesRange()`
`List<javax.faces.model.SelectItem>`
`getMinutesSelectItems()`
`javax.faces.component.UIInput`
`getMonths()`
`javax.faces.component.UIInput`
`getMonthsRange()`
`List<javax.faces.model.SelectItem>`
`getMonthsSelectItems()`
`javax.faces.component.UIInput`
`getSeconds()`
`javax.faces.component.UIInput`
`getSecondsRange()`
`List<javax.faces.model.SelectItem>`
`getSecondsSelectItems()`
`List<javax.faces.model.SelectItem>`
`getSelectItems(int max)`
`javax.faces.component.UIInput`
`getYears()`
`boolean`
`isRenderDays()`
`boolean`
`isRenderDaysRange()`
`boolean`
`isRenderHours()`
`boolean`
`isRenderHoursRange()`
`boolean`
`isRenderMinutes()`
`boolean`
`isRenderMinutesRange()`
`boolean`
`isRenderMonths()`
`boolean`
`isRenderMonthsRange()`
`boolean`
`isRenderSeconds()`
`boolean`
`isRenderSecondsRange()`
`boolean`
`isRenderYears()`
`void`
`processDecodes(javax.faces.context.FacesContext context)`
`void`
`setDays(javax.faces.component.UIInput days)`
`void`
`setDaysRange(javax.faces.component.UIInput daysRange)`
`void`
`setHours(javax.faces.component.UIInput hours)`
`void`
`setHoursRange(javax.faces.component.UIInput hoursRange)`
`void`
`setMinutes(javax.faces.component.UIInput minutes)`
`void`
`setMinutesRange(javax.faces.component.UIInput minutesRange)`
`void`
`setMonths(javax.faces.component.UIInput months)`
`void`
`setMonthsRange(javax.faces.component.UIInput monthsRange)`
`void`
`setSeconds(javax.faces.component.UIInput seconds)`
`void`
`setSecondsRange(javax.faces.component.UIInput secondsRange)`
`void`
`setYears(javax.faces.component.UIInput years)`

### Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

### Methods inherited from class javax.faces.component.UIOutput

`getConverter, getLocalValue, setConverter`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.faces.component.ValueHolder

`getConverter, getLocalValue, setConverter`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### InputPeriodComponent

public InputPeriodComponent()

## Method Details

### getFamily

public String getFamily()

Overrides:
  `getFamily` in class `javax.faces.component.UIInput`

### getHours

public javax.faces.component.UIInput getHours()

### setHours

public void setHours(javax.faces.component.UIInput hours)

### getDays

public javax.faces.component.UIInput getDays()

### setDays

public void setDays(javax.faces.component.UIInput days)

### getMinutes

public javax.faces.component.UIInput getMinutes()

### setMinutes

public void setMinutes(javax.faces.component.UIInput minutes)

### getSeconds

public javax.faces.component.UIInput getSeconds()

### setSeconds

public void setSeconds(javax.faces.component.UIInput seconds)

### getYears

public javax.faces.component.UIInput getYears()

### setYears

public void setYears(javax.faces.component.UIInput years)

### getMonths

public javax.faces.component.UIInput getMonths()

### setMonths

public void setMonths(javax.faces.component.UIInput months)

### getMonthsRange

public javax.faces.component.UIInput getMonthsRange()

### setMonthsRange

public void setMonthsRange(javax.faces.component.UIInput monthsRange)

### getDaysRange

public javax.faces.component.UIInput getDaysRange()

### setDaysRange

public void setDaysRange(javax.faces.component.UIInput daysRange)

### getHoursRange

public javax.faces.component.UIInput getHoursRange()

### setHoursRange

public void setHoursRange(javax.faces.component.UIInput hoursRange)

### getMinutesRange

public javax.faces.component.UIInput getMinutesRange()

### setMinutesRange

public void setMinutesRange(javax.faces.component.UIInput minutesRange)

### getSecondsRange

public javax.faces.component.UIInput getSecondsRange()

### setSecondsRange

public void setSecondsRange(javax.faces.component.UIInput secondsRange)

### encodeBegin

public void encodeBegin(javax.faces.context.FacesContext context) throws IOException

Overrides:
  `encodeBegin` in class `javax.faces.component.UIComponentBase`
Throws:
  `IOException`

### processDecodes

public void processDecodes(javax.faces.context.FacesContext context)

Overrides:
  `processDecodes` in class `javax.faces.component.UIInput`

### getSelectItems

public List<javax.faces.model.SelectItem> getSelectItems(int max)

### getHoursSelectItems

public List<javax.faces.model.SelectItem> getHoursSelectItems()

### getMinutesSelectItems

public List<javax.faces.model.SelectItem> getMinutesSelectItems()

### getSecondsSelectItems

public List<javax.faces.model.SelectItem> getSecondsSelectItems()

### getDaysSelectItems

public List<javax.faces.model.SelectItem> getDaysSelectItems()

### getMonthsSelectItems

public List<javax.faces.model.SelectItem> getMonthsSelectItems()

### isRenderYears

public boolean isRenderYears()

### isRenderMonths

public boolean isRenderMonths()

### isRenderDays

public boolean isRenderDays()

### isRenderHours

public boolean isRenderHours()

### isRenderMinutes

public boolean isRenderMinutes()

### isRenderSeconds

public boolean isRenderSeconds()

### isRenderMonthsRange

public boolean isRenderMonthsRange()

### isRenderDaysRange

public boolean isRenderDaysRange()

### isRenderHoursRange

public boolean isRenderHoursRange()

### isRenderMinutesRange

public boolean isRenderMinutesRange()

### isRenderSecondsRange

public boolean isRenderSecondsRange()